Loading...
Searching...
No Matches
BALL::VIEW::AnimationThread Class Reference

`#include <BALL/VIEW/WIDGETS/scene.h>`

Inheritance diagram for BALL::VIEW::AnimationThread:

## Public Member Functions

| AnimationThread ()
virtual void | run ()
void | mySleep (Size msec)
void | setScene (Scene *scene)
Scene * | getScene ()

## Protected Attributes

Scene * | scene_

## Detailed Description

Definition at line 935 of file scene.h.

## Constructor & Destructor Documentation

## AnimationThread()

BALL::VIEW::AnimationThread::AnimationThread | ( |  | ) |

inline

Definition at line 941 of file scene.h.

## Member Function Documentation

## getScene()

Scene * BALL::VIEW::AnimationThread::getScene | ( |  | ) |

inline

Definition at line 953 of file scene.h.

## mySleep()

void BALL::VIEW::AnimationThread::mySleep | ( | Size | msec | ) |

## run()

virtual void BALL::VIEW::AnimationThread::run | ( |  | ) |

inline virtual

Definition at line 944 of file scene.h.

## setScene()

void BALL::VIEW::AnimationThread::setScene | ( | Scene * | scene | ) |

inline

Definition at line 950 of file scene.h.

## Member Data Documentation

## scene_

Scene* BALL::VIEW::AnimationThread::scene_

protected

Definition at line 957 of file scene.h.